import { defineComponent, $prefix, props, setup } from '@opentinyvue/vue-common';
import { renderless, api } from '@opentinyvue/vue-renderless/upload-list/vue';
import Progress from '@opentinyvue/vue-progress';
import Tooltip from '@opentinyvue/vue-tooltip';
import Button from '@opentinyvue/vue-button';
import { iconDocument, iconSuccessful, iconClose, iconView, iconDel, iconYes, iconCloseCircle, iconError, iconFileCloudupload, iconDownload, iconCueL, iconRefresh, IconError, iconFullscreenLeft, iconRight, iconPause, iconAudio, iconEllipsis, iconExcelType, iconFileType, iconOtherType, iconPdfType, iconPictureType, iconPptType, iconTextType, iconVideoType, iconWordType, iconZipType, iconFileuploadPro } from '@opentinyvue/vue-icon';
import Modal from '@opentinyvue/vue-modal';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "UploadList",
  components: {
    TinyProgress: Progress,
    TinyTooltip: Tooltip,
    TinyButton: Button,
    TinyIconDocument: iconDocument(),
    IconSuccessful: iconSuccessful(),
    IconClose: iconClose(),
    IconView: iconView(),
    IconDel: iconDel(),
    IconYes: iconYes(),
    IconCloseCircle: iconCloseCircle(),
    IconError: iconError(),
    IconFileCloudupload: iconFileCloudupload(),
    IconDownload: iconDownload(),
    IconCueL: iconCueL(),
    IconRefresh: iconRefresh(),
    IconOperationfaild: IconError(),
    IconFullscreenLeft: iconFullscreenLeft(),
    IconRight: iconRight(),
    IconPause: iconPause(),
    IconAudio: iconAudio(),
    IconEllipsis: iconEllipsis(),
    IconExcelType: iconExcelType(),
    IconFileType: iconFileType(),
    IconOtherType: iconOtherType(),
    IconPdfType: iconPdfType(),
    IconPictureType: iconPictureType(),
    IconPptType: iconPptType(),
    IconTextType: iconTextType(),
    IconVideoType: iconVideoType(),
    IconWordType: iconWordType(),
    IconZipType: iconZipType(),
    IconFileuploadPro: iconFileuploadPro()
  },
  emits: ["click-file-list", "remove", "start", "update:visible", "update", "reUpload", "ReUploadTotal"],
  props: [].concat(props, ["disabled", "display", "files", "filesIcon", "handlePreview", "isEdm", "isFolder", "listType", "openDownloadFile", "srcList", "isFolderTitle", "listOption", "maxNameLength", "mode", "reUploadable", "reUploadTip", "selected", "displayOnly", "handleDownloadFile", "handleReUpload", "compact"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api,
      extendOptions: {
        Modal
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _vm.listType === "saas" ? _c("div", {
    ref: "uploadList",
    staticClass: "tiny-upload-list--saas",
    class: [_vm.state.files.length || _vm.mode === "bubble" ? "border-zero" : "border-top", {
      "mode-bubble": _vm.mode === "bubble"
    }]
  }, [_vm.state.files.length ? _c("div", {
    staticClass: "tiny-upload-list-panel"
  }, _vm._l(_vm.state.files, function(file) {
    return _c("div", {
      key: file.uid,
      ref: "uploadListLi",
      refInFor: true,
      staticClass: "tiny-upload-list-item",
      class: {
        "selected": file.uid === (_vm.selected && _vm.selected.uid),
        "compact": _vm.compact
      },
      attrs: {
        "data-tag": "tiny-upload-list-item",
        "tabindex": "0"
      },
      on: {
        "click": function click($event) {
          return _vm.$emit("click-file-list", file);
        }
      }
    }, [_vm._t("default", function() {
      return [_c("div", {
        staticClass: "tiny-upload-list-thumb"
      }, [~["uploading"].indexOf(file.status) ? [_c("div", {
        staticClass: "uploading-mask"
      }), _c("div", {
        staticClass: "uploading-progress"
      }, [_c("div", {
        staticClass: "uploading-progress-panel"
      }, [_c("div", {
        staticClass: "uploading-progress-bar",
        style: {
          width: _vm.parsePercentage(Math.max(0, Math.min(file.percentage || 0, 100))) + "%"
        }
      })])])] : _vm._e(), ~["uploading", "success", "downloading"].indexOf(file.status) ? _c(_vm.getFileIcon({
        type: _vm.getFileType({
          file
        })
      }).name, {
        tag: "component",
        staticClass: "file-icon",
        style: {
          fill: _vm.getFileIcon({
            type: _vm.getFileType({
              file
            })
          }).color
        }
      }) : _vm._e(), ~["fail"].indexOf(file.status) ? _c("div", {
        staticClass: "upload-fail"
      }, [_c("icon-cue-l", {
        staticClass: "upload-fail-icon"
      })], 1) : _vm._e()], 2), _c("div", {
        staticClass: "tiny-upload-list-content"
      }, [_c("div", {
        staticClass: "file-name"
      }, [_c("div", {
        staticClass: "file-name-box"
      }, [_c("span", {
        attrs: {
          "title": file.name
        }
      }, [_vm._v(_vm._s(file.name.length > _vm.maxNameLength ? file.name.substring(0, _vm.maxNameLength) + "..." : file.name))])]), _c("div", {
        staticClass: "operate-panel"
      }, [_vm._t("operate", function() {
        return [_vm.handlePreview && ~["success", "downloading"].indexOf(file.status) ? _c("span", {
          staticClass: "operate-btn",
          on: {
            "click": function click($event) {
              return _vm.handlePreview(file);
            }
          }
        }, [_vm._v(_vm._s(_vm.t("ui.uploadList.preview")))]) : _vm._e(), _vm.handleDownloadFile && !~["fail", "uploading"].indexOf(file.status) ? _c("span", {
          staticClass: "operate-btn",
          on: {
            "click": function click($event) {
              return _vm.handleDownloadFile(file);
            }
          }
        }, [_vm._v(_vm._s(_vm.t("ui.uploadList.download")))]) : _vm._e(), (_vm.isEdm ? true : _vm.handleReUpload) && ~["fail"].indexOf(file.status) ? _c("span", {
          staticClass: "operate-btn",
          on: {
            "click": function click($event) {
              return _vm.reUpload(file);
            }
          }
        }, [_vm._v(_vm._s(_vm.t("ui.uploadList.reUpload")))]) : _vm._e(), !_vm.displayOnly ? _c("span", {
          staticClass: "operate-btn",
          on: {
            "click": function click($event) {
              $event.stopPropagation();
              return _vm.remove({
                file
              });
            }
          }
        }, [_vm._v(_vm._s(_vm.t("ui.uploadList.delete")))]) : _vm._e()];
      }, {
        "file": file
      })], 2)]), _c("div", {
        staticClass: "file-size"
      }, [_c("span", {
        staticClass: "file-size-content"
      }, [~["fail"].indexOf(file.status) ? _c("span", {
        staticClass: "fail"
      }, [_c("span", [_vm._v(_vm._s(_vm.t("ui.uploadList.uploadFailed")))])]) : ~["uploading"].indexOf(file.status) ? _c("span", [_vm._v(_vm._s(_vm.formatFileSize(file.size * file.percentage / 100) + "/" + _vm.formatFileSize(file.size)))]) : _c("span", [_vm._v(_vm._s(_vm.formatFileSize(file.size)))])]), _c("span", {
        staticClass: "file-size-right"
      }, [_vm._t("assist-content", null, {
        "file": file
      })], 2)])])];
    }, {
      "file": file
    }), file.showDownloadBar ? _c("tiny-progress", {
      staticClass: "tiny-upload-list__download-bar",
      attrs: {
        "show-text": false,
        "stroke-width": 4,
        "percentage": file.downloadPercentage || 0,
        "status": file.downloadStatus || "default"
      }
    }) : _vm._e()], 2);
  }), 0) : _c("div", {
    staticClass: "no-attachments"
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.noAttachments")) + " ")])]) : _c("div", {
    staticClass: "tiny-upload-list__wrapper"
  }, [_c("transition-group", {
    class: ["tiny-upload-list", "tiny-upload-list--" + _vm.listType, {
      "is-disabled": _vm.disabled
    }],
    attrs: {
      "tag": "ul",
      "name": "tiny-list"
    }
  }, _vm._l(_vm.files, function(file) {
    return _c("li", {
      key: file.uid,
      staticClass: "tiny-upload-list__li",
      attrs: {
        "tabindex": "0"
      }
    }, [_c("div", {
      class: ["tiny-upload-list__item", "is-" + file.status, _vm.state.focusing ? "focusing" : "", {
        isEdm: _vm.isEdm
      }, {
        showUpdate: _vm.listOption.showUpdate
      }, {
        showDel: _vm.listOption.showDel
      }],
      on: {
        "keydown": function keydown($event) {
          if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "delete", [8, 46], $event.key, ["Backspace", "Delete", "Del"])) return null;
          !_vm.disabled && _vm.$emit("remove", file);
        },
        "focus": function focus($event) {
          _vm.state.focusing = true;
        },
        "blur": function blur($event) {
          _vm.state.focusing = false;
        },
        "click": function click($event) {
          _vm.state.focusing = false;
        }
      }
    }, [_vm._t("default", function() {
      return [file.status !== "uploading" && file.status !== "fail" && ["picture-card", "picture"].indexOf(_vm.listType) > -1 ? _c("img", {
        staticClass: "tiny-upload-list__item-thumbnail",
        attrs: {
          "src": file.url,
          "alt": ""
        }
      }) : _vm._e(), _c("tiny-tooltip", {
        attrs: {
          "placement": "top",
          "effect": "light",
          "disabled": _vm.state.tooltipDisabled
        },
        scopedSlots: _vm._u([{
          key: "content",
          fn: function fn() {
            return [file.status === "fail" ? _c("span", {
              staticClass: "tiny-upload-list__item-tooltip"
            }, [_c("icon-operationfaild", {
              staticClass: "tiny-upload-list__icon-operationfaild"
            }), _vm._v(_vm._s(_vm.t("ui.fileUpload.networkError")))], 1) : _c("span", {
              staticClass: "tiny-upload-list__item-tooltip"
            }, [_vm._v(_vm._s(_vm.isFolderTitle ? (file.path || "") + file.name : file.name))])];
          },
          proxy: true
        }], null, true)
      }, [_c("a", {
        class: ["tiny-upload-list__item-name", {
          isFail: _vm.isEdm && file.status === "fail"
        }],
        attrs: {
          "title": _vm.state.tooltipDisabled ? _vm.isFolderTitle ? (file.path || "") + file.name : file.name : ""
        },
        on: {
          "click": function click($event) {
            return _vm.handleClick($event, file);
          }
        }
      }, [!_vm.isFolder ? _c("tiny-icon-document", {
        staticClass: "tiny-svg-size",
        attrs: {
          "fill": _vm.isEdm && file.status === "fail" ? "#f5222d" : ""
        }
      }) : _vm._e(), _vm._v(_vm._s(file.name.length > _vm.maxNameLength ? file.name.substring(0, _vm.maxNameLength) + "..." : file.name) + " ")], 1)]), _vm.isEdm ? _c("div", {
        class: ["tiny-upload-list__item-edminfo", {
          isFail: _vm.isEdm && file.status === "fail"
        }]
      }, [_c("span", [_vm._v(_vm._s(file.docId))]), _c("span", [_vm._v(_vm._s(file.version))]), _c("span", [_vm._v(_vm._s(file.size))]), _c("span", [_vm._v(_vm._s(file.serverName))])]) : _vm._e(), !_vm.state.preViewComponent ? _c("label", {
        staticClass: "tiny-upload-list__item-status-label"
      }, [_vm.listType === "text" ? _c("icon-successful", {
        staticClass: "tiny-svg-size icon-successful"
      }) : _vm._e(), ["picture-card", "picture"].indexOf(_vm.listType) > -1 ? _c("icon-yes", {
        staticClass: "tiny-svg-size tiny-icon-check"
      }) : _vm._e()], 1) : _vm._e(), _vm.isEdm && !_vm.isFolder && !_vm.disabled && file.status !== "fail" && _vm.listOption.showUpdate ? _c("span", {
        attrs: {
          "title": _vm.t("ui.fileUpload.updateFile")
        },
        on: {
          "click": function click($event) {
            return _vm.$emit("update", file);
          }
        }
      }, [_c("icon-file-cloudupload", {
        staticClass: "tiny-svg-size icon-refres",
        attrs: {
          "fill": _vm.isEdm && file.status === "fail" ? "#f5222d" : ""
        }
      })], 1) : _vm._e(), !_vm.disabled && _vm.reUploadable && file.status === "fail" ? _c("span", {
        attrs: {
          "title": _vm.t("ui.fileUpload.reUploadFile")
        },
        on: {
          "click": function click($event) {
            return _vm.$emit("reUpload", file);
          }
        }
      }, [_c("icon-refresh", {
        staticClass: "tiny-svg-size icon-refres",
        attrs: {
          "fill": _vm.isEdm ? "#f5222d" : ""
        }
      })], 1) : _vm._e(), !_vm.disabled && _vm.listOption.showDel ? _c("span", {
        attrs: {
          "title": _vm.t("ui.fileUpload.deleteFile")
        },
        on: {
          "click": function click($event) {
            return _vm.$emit("remove", file);
          }
        }
      }, [_c(_vm.state.closeComponent, {
        tag: "component",
        staticClass: "tiny-svg-size icon-close",
        attrs: {
          "fill": _vm.isEdm && file.status === "fail" ? "#f5222d" : ""
        }
      })], 1) : _vm._e(), !_vm.disabled && _vm.listOption.showDel ? _c("i", {
        staticClass: "tiny-icon-close-tip"
      }, [_vm._v(" " + _vm._s(_vm.t("ui.fileUpload.deleteTip")))]) : _vm._e(), file.status === "uploading" || file.status === "downloading" ? _c("tiny-progress", {
        attrs: {
          "status": "success",
          "type": _vm.listType === "picture-card" ? _vm.state.progressType : "line",
          "stroke-width": _vm.listType === "picture-card" ? _vm.state.progressStrokeWidth : 2,
          "width": _vm.state.progressWidth,
          "percentage": _vm.parsePercentage(file.percentage),
          "show-text": !_vm.state.progressWidth
        }
      }) : _vm._e(), file.status === "uploading" && _vm.listType === "picture-card" && _vm.state.progressWidth ? _c("div", {
        staticClass: "tiny-upload-list__item-cancel",
        on: {
          "click": function click($event) {
            return _vm.$emit("remove", file);
          }
        }
      }, [_vm._v(" " + _vm._s(_vm.t("ui.fileUpload.cancelFile")) + " ")]) : _vm._e(), _c("tiny-tooltip", {
        attrs: {
          "placement": "top",
          "effect": "light",
          "disabled": _vm.state.tooltipDisabled || file.status !== "fail"
        },
        scopedSlots: _vm._u([{
          key: "content",
          fn: function fn() {
            return [_c("span", {
              staticClass: "tiny-upload-list__item-tooltip"
            }, [_c("icon-operationfaild", {
              staticClass: "tiny-upload-list__icon-operationfaild"
            }), _vm._v(_vm._s(_vm.t("ui.fileUpload.pictureNetworkError")))], 1)];
          },
          proxy: true
        }], null, true)
      }, [_vm.listType === "picture-card" && (_vm.state.progressWidth ? file.status !== "uploading" : true) ? _c("span", {
        staticClass: "tiny-upload-list__item-actions"
      }, [_vm.openDownloadFile ? _c("span", {
        staticClass: "tiny-upload-list__item-download",
        attrs: {
          "title": _vm.t("ui.fileUpload.downloadFile")
        },
        on: {
          "click": function click($event) {
            return _vm.handleClick(file);
          }
        }
      }, [_c("icon-download", {
        staticClass: "tiny-svg-size"
      })], 1) : _vm._e(), _vm.handlePreview && file.status !== "fail" ? _c("span", {
        staticClass: "tiny-upload-list__item-preview",
        attrs: {
          "title": _vm.t("ui.fileUpload.previewFile")
        },
        on: {
          "click": function click($event) {
            return _vm.handlePreview(file);
          }
        }
      }, [_vm.state.preViewComponent ? _c("icon-fullscreen-left", {
        staticClass: "tiny-svg-size tiny-svg-fullscreen"
      }) : _c("icon-view", {
        staticClass: "tiny-svg-size"
      })], 1) : _vm._e(), _vm.isEdm && !_vm.isFolder && !_vm.disabled ? _c("span", {
        staticClass: "tiny-upload-list__item-refres",
        attrs: {
          "title": _vm.t("ui.fileUpload.updateFile")
        },
        on: {
          "click": function click($event) {
            return _vm.$emit("update", file);
          }
        }
      }, [_c("icon-file-cloudupload", {
        staticClass: "tiny-svg-size"
      })], 1) : _vm._e(), !_vm.disabled ? _c("span", {
        staticClass: "tiny-upload-list__item-delete",
        attrs: {
          "title": _vm.t("ui.fileUpload.deleteFile")
        },
        on: {
          "click": function click($event) {
            return _vm.$emit("remove", file);
          }
        }
      }, [_c("icon-del", {
        staticClass: "tiny-svg-size icon-delete"
      })], 1) : _vm._e()]) : _vm._e()])];
    }, {
      "file": file
    })], 2), _vm.state.preViewComponent && _vm.listType === "picture-card" ? _c("div", {
      class: ["tiny-upload-list__li-title", file.status === "fail" && "is-fail"],
      attrs: {
        "title": _vm.isFolderTitle ? (file.path || "") + file.name : file.name
      }
    }, [_vm._v(" " + _vm._s(file.name.length > _vm.maxNameLength ? file.name.substring(0, _vm.maxNameLength) + "..." : file.name) + " ")]) : _vm._e()]);
  }), 0), _vm.reUploadable && _vm.state.failUploadFileCount && _vm.listType === "text" ? _c("div", {
    staticClass: "tiny-upload-list__text-title"
  }, [_c("icon-operationfaild", {
    staticClass: "tiny-upload-list__icon-operationfaild"
  }), _c("span", {
    staticClass: "tiny-upload-list__text-desc"
  }, [_vm._v(" " + _vm._s(typeof _vm.reUploadTip === "function" ? _vm.reUploadTip(_vm.state.failUploadFileCount) : _vm.t("ui.fileUpload.reUploadTip", {
    number: _vm.state.failUploadFileCount
  })) + " ")]), _c("tiny-button", {
    attrs: {
      "type": "text"
    },
    on: {
      "click": function click($event) {
        return _vm.$emit("ReUploadTotal", _vm.files);
      }
    }
  }, [_vm._v(_vm._s(_vm.t("ui.fileUpload.reUploadFile")))])], 1) : _vm._e()], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
